## splash 1.0.0

=== DESCRIPTION ===
Package: splash
Title: Simple Process-Led Algorithms for Simulating Habitats
Version: 1.0.0
Authors@R: c(
    person(given = "Tyler W.",
           family = "Davis",
           role = "aut",
           comment = c(ORCID = "0000-0003-4312-919X")),
    person(given = "Iain Colin",
           family = "Prentice",
           role = "aut",
           email = "c.prentice@imperial.ac.uk",
           comment = c(ORCID = "0000-0002-1296-6764")),
    person(given = "Benjamin D.",
           family = "Stocker",
           role = "aut",
           comment = c(ORCID = "0000-0003-2697-9096")),
    person(given = "Rebecca T.",
           family = "Thomas",
           role = "aut"),
    person(given = "Rhys J.",
           family = "Whitley",
           role = "aut"),
    person(given = "Han",
           family = "Wang",
           role = "aut",
           comment = c(ORCID = "0000-0003-2482-1818")),
    person(given = "Bradley J.",
           family = "Evans",
           role = "aut"),
    person(given = "Angela V.",
           family = "Gallego-Sala",
           role = "aut"),
    person(given = "Martin T.",
           family = "Sykes",
           role = "aut"),
    person(given = "Wolfgang",
           family = "Cramer",
           role = "aut",
           comment = c(ORCID = "0000-0002-9205-5812")),
    person(given = "Roberto",
           family = "Villegas-Diaz",
           role = c("cre"),
           email = "r.villegas-diaz@reading.ac.uk",
           comment = c(ORCID = "0000-0001-5036-8661")))
Description: This program calculates bioclimatic indices and fluxes (radiation, 
    evapotranspiration, soil moisture) for use in studies of ecosystem function, 
    species distribution, and vegetation dynamics under changing climate 
    scenarios. Predictions are based on a minimum of required inputs: latitude, 
    precipitation, air temperature, and cloudiness. 
    Davis et al. (2017) <doi:10.5194/gmd-10-689-2017>.
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.1.1
Depends: R (>= 3.2.3)
Language: en-GB
URL: https://github.com/villegar/splash/,
        https://villegar.github.io/splash/,
        https://bitbucket.org/labprentice/splash/
BugReports: https://github.com/villegar/splash/issues/
NeedsCompilation: no
Packaged: 2021-09-01 12:02:04 UTC; roberto.villegas-diaz
Author: Tyler W. Davis [aut] (<https://orcid.org/0000-0003-4312-919X>),
  Iain Colin Prentice [aut] (<https://orcid.org/0000-0002-1296-6764>),
  Benjamin D. Stocker [aut] (<https://orcid.org/0000-0003-2697-9096>),
  Rebecca T. Thomas [aut],
  Rhys J. Whitley [aut],
  Han Wang [aut] (<https://orcid.org/0000-0003-2482-1818>),
  Bradley J. Evans [aut],
  Angela V. Gallego-Sala [aut],
  Martin T. Sykes [aut],
  Wolfgang Cramer [aut] (<https://orcid.org/0000-0002-9205-5812>),
  Roberto Villegas-Diaz [cre] (<https://orcid.org/0000-0001-5036-8661>)
Maintainer: Roberto Villegas-Diaz <r.villegas-diaz@reading.ac.uk>
Repository: CRAN
Date/Publication: 2021-09-02 22:00:02 UTC
