## splash 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: splash
 Title: Simple Process-Led Algorithms for Simulating Habitats
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
     person(given = "Tyler W.",
            family = "Davis",
@@ -55,11 +55,11 @@
 Depends: R (>= 3.2.3)
 Language: en-GB
 URL: https://github.com/villegar/splash/,
-        https://villegar.github.io/splash/,
+        https://splash.robertovillegas-diaz.com/,
         https://bitbucket.org/labprentice/splash/
 BugReports: https://github.com/villegar/splash/issues/
 NeedsCompilation: no
-Packaged: 2021-09-01 12:02:04 UTC; roberto.villegas-diaz
+Packaged: 2021-09-03 09:14:29 UTC; roberto.villegas-diaz
 Author: Tyler W. Davis [aut] (<https://orcid.org/0000-0003-4312-919X>),
   Iain Colin Prentice [aut] (<https://orcid.org/0000-0002-1296-6764>),
   Benjamin D. Stocker [aut] (<https://orcid.org/0000-0003-2697-9096>),
@@ -73,4 +73,4 @@
   Roberto Villegas-Diaz [cre] (<https://orcid.org/0000-0001-5036-8661>)
 Maintainer: Roberto Villegas-Diaz <r.villegas-diaz@reading.ac.uk>
 Repository: CRAN
-Date/Publication: 2021-09-02 22:00:02 UTC
+Date/Publication: 2021-09-03 10:30:02 UTC
