## splash 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: splash
 Title: Simple Process-Led Algorithms for Simulating Habitats
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: c(
     person(given = "Tyler W.",
            family = "Davis",
@@ -41,7 +41,7 @@
     person(given = "Roberto",
            family = "Villegas-Diaz",
            role = c("cre"),
-           email = "r.villegas-diaz@reading.ac.uk",
+           email = "r.villegas-diaz@outlook.com",
            comment = c(ORCID = "0000-0001-5036-8661")))
 Description: This program calculates bioclimatic indices and fluxes (radiation, 
     evapotranspiration, soil moisture) for use in studies of ecosystem function, 
@@ -51,7 +51,7 @@
     Davis et al. (2017) <doi:10.5194/gmd-10-689-2017>.
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 Depends: R (>= 3.2.3)
 Language: en-GB
 URL: https://github.com/villegar/splash/,
@@ -59,7 +59,7 @@
         https://bitbucket.org/labprentice/splash/
 BugReports: https://github.com/villegar/splash/issues/
 NeedsCompilation: no
-Packaged: 2021-09-03 09:14:29 UTC; roberto.villegas-diaz
+Packaged: 2022-10-12 13:15:30 UTC; robertovillegas-diaz
 Author: Tyler W. Davis [aut] (<https://orcid.org/0000-0003-4312-919X>),
   Iain Colin Prentice [aut] (<https://orcid.org/0000-0002-1296-6764>),
   Benjamin D. Stocker [aut] (<https://orcid.org/0000-0003-2697-9096>),
@@ -71,6 +71,6 @@
   Martin T. Sykes [aut],
   Wolfgang Cramer [aut] (<https://orcid.org/0000-0002-9205-5812>),
   Roberto Villegas-Diaz [cre] (<https://orcid.org/0000-0001-5036-8661>)
-Maintainer: Roberto Villegas-Diaz <r.villegas-diaz@reading.ac.uk>
+Maintainer: Roberto Villegas-Diaz <r.villegas-diaz@outlook.com>
 Repository: CRAN
-Date/Publication: 2021-09-03 10:30:02 UTC
+Date/Publication: 2022-10-12 15:20:05 UTC
