=== debian/changelog ===
splash (2.5.0-1) unstable; urgency=low

  * New upstream release
  * Update standards version to 3.9.6. No changes needed.
  * Update maintainers e-mail address

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Oct 2014 20:42:57 +0200

splash (2.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #649603)

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 16 Aug 2014 13:33:15 +0200
