## splash 2.5.1

=== build/Makefile ===
--- 
+++ 
@@ -40,10 +40,10 @@
 #--------------------------------------------------------------
 ifneq ($(BACKEND), pgplot)
 #-- C A I R O --
-   GIZADIR= ../giza
-   VPATH+= $(GIZADIR)/interface/
+   GIZA_DIR= ../giza
+   VPATH+= $(GIZA_DIR)/interface/
    PLOTLIB= giza-fortran.F90 plotlib_giza.f90
-   PGPLOTLIBS = -L$(GIZADIR)/lib -lgiza -lcairo -lX11
+   PGPLOTLIBS = -L$(GIZA_DIR)/lib -lgiza -lcairo -lX11
    CFLAGS= -fPIC -Wall -Wextra -O3 -g
    CC = gcc
 else
