=== giza/build/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 #
 GIZAV=0
 MINORV=9
-MICROV=0
+MICROV=2
 VERSION=$(GIZAV).$(MINORV).$(MICROV)
 
 
@@ -51,6 +51,12 @@
 endif
 ifndef CFLAGS
 CFLAGS= -fPIC -Wall -Wextra -O3 -g
+endif
+ifndef FC
+FC= gfortran
+endif
+ifndef FFLAGS
+FFLAGS= -fPIC -Wall -Wextra -O3
 endif
 
 #
@@ -100,14 +106,9 @@
   RANLIB= ranlib
   LIBTOOL= $(CC) 
   FC= gfortran
+  FFLAGS= -fPIC -Wall -Wextra -O3
   KNOWN_SYSTEM=yes
 #endif
-
-#
-#--libpgplot needs to be linked against the
-#  library from the Fortran compiler used
-#
-FLIBS= -L/usr/local/gfortran/lib/ -lgfortran
 
 LIBEXT=.a
 
@@ -230,7 +231,7 @@
 	ln -sf $(SHARED_LIB_GIZA_VERSION) $(SHARED_LIB_GIZA)
 
 $(SHARED_LIB_PGPLOT): $(INCDIR)/giza-version.h $(OBJECTS) giza-fortran.o giza-pgplot.o
-	$(LIBTOOL) $(SHAREDLIBFLAGS) -o $(SHARED_LIB_PGPLOT) $(OBJECTS) giza-fortran.o giza-pgplot.o $(LDFLAGS) $(FLIBS)
+	$(FC) $(SHAREDLIBFLAGS) -o $(SHARED_LIB_PGPLOT) $(OBJECTS) giza-fortran.o giza-pgplot.o $(LDFLAGS)
 
 $(SHARED_LIB_CPGPLOT):  $(INCDIR)/giza-version.h $(OBJECTS) giza-cpgplot.o
 	$(LIBTOOL) $(SHAREDLIBFLAGS) -o $@ $(OBJECTS) giza-cpgplot.o $(LDFLAGS)
@@ -251,12 +252,13 @@
 
 install: installpgplot destdircheck checksystem giza
 
-installgiza: destdircheck checksystem giza
+installgiza: destdircheck checksystem giza giza-fortran.o
 	cp $(STATIC_LIB_GIZA) $(DESTDIR)$(PREFIX)/lib/
 	cp $(SHARED_LIB_GIZA) $(DESTDIR)$(PREFIX)/lib/
 	cp $(INCDIR)/giza-shared.h  $(DESTDIR)$(PREFIX)/include/
 	cp $(INCDIR)/giza-version.h $(DESTDIR)$(PREFIX)/include/
 	cp $(INCDIR)/giza.h         $(DESTDIR)$(PREFIX)/include/
+	cp giza.mod                 $(DESTDIR)$(PREFIX)/include/
 
 installpgplot: installgiza pgplot cpgplot
 	cp $(STATIC_LIB_PGPLOT)  $(DESTDIR)$(PREFIX)/lib/
@@ -275,6 +277,7 @@
 	@rm -f $(DESTDIR)$(PREFIX)/include/giza-shared.h
 	@rm -f $(DESTDIR)$(PREFIX)/include/giza-version.h
 	@rm -f $(DESTDIR)$(PREFIX)/include/giza.h
+	@rm -f $(DESTDIR)$(PREFIX)/include/giza.mod
 
 destdircheck:
 	@if test -d $(DESTDIR)$(PREFIX)/lib; then echo $(DESTDIR)$(PREFIX)/lib exists and is a directory; else \
