=== debian/changelog ===
splash (2.5.1-1) unstable; urgency=low

  * New upstream version
  * Create upstream/metadata with bibliographic information

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Apr 2015 14:39:29 +0200
