## splash 2.6.0

=== build/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # (some settings of the SYSTEM variable for specific machines overwrite this)
 #
 # X11LIBS= -L/usr/X11R6/lib64 -lX11
-X11LIBS= -L/usr/X11R6/lib -lX11
+X11LIBS= -L/usr/X11/lib -lX11
 
 #--------------------------------------------------------------
 # here we choose the backend plotting library for splash
@@ -103,6 +103,9 @@
 ifndef CC
 CC = gcc
 endif
+ifndef CXX
+CXX = g++
+endif
 #--------------------------------------------------------------
 #  the following are general settings for particular compilers
 #
@@ -171,7 +174,8 @@
 ifeq ($(SYSTEM),ifort)
 #  this is for the intel fortran compiler (version 10)
    FC= ifort
-   FFLAGS= -O3 -nbs -i_dynamic
+#   FFLAGS= -O3 -nbs -i_dynamic
+   FFLAGS= -O3 -nbs
    OMPFLAGS= -openmp
    DBLFLAGS= -r8
    DEBUGFLAG= -C -g
@@ -395,5 +399,3 @@
     ENDIANFLAGBIG= -fconvert=big-endian
     ENDIANFLAGLITTLE= -fconvert=little-endian
     SNFLAGS= -L$(HOME)/tree16/Objfiles/g5 -lsw
-    CFLAGS = -g -O2 -Wall -I$(HOME)/tree16/include -fbounds-check
-    CC = gcc
