=== debian/changelog ===
splash (2.6.0-2) unstable; urgency=low

  * Update standards-version to 3.9.8 (no changes)
  * Update VCS fields, add ASCL-Id
  * Build-depend of giza instead of using a local copy

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Jun 2016 21:23:21 +0200

splash (2.6.0-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Oct 2015 09:54:31 +0200
