=== debian/changelog ===
splash (2.7.0-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 18:12:53 +0000

splash (2.7.0-1) unstable; urgency=low

  * New upstream version 2.7.0
  * Update standards-version to 4.0.0 (no changes)

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Jun 2017 20:57:45 +0200
