=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                texlive-generic-recommended,
                texlive-latex-base,
                texlive-latex-recommended
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/splash.git
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/splash.git
 Homepage: http://users.monash.edu.au/~dprice/splash/
