=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,5 @@
 	done
 	dh_installman
 
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
+	make clean
