## splash 2.8.0

=== build/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 #
 # some default settings for unix systems
 #
-FC= 
+FC=
 FFLAGS=
 #
 # change the line below if SPLASH does not find the X11 libraries
@@ -44,8 +44,8 @@
 #--------------------------------------------------------------
 ifneq ($(BACKEND), pgplot)
 #-- C A I R O --
-   GIZA_DIR= ../giza
-   VPATH+= $(GIZA_DIR)/interface/ $(GIZA_DIR)/include $(GIZA_DIR)/src/
+   GIZA_DIR= $(PREFIX)
+   VPATH+= $(GIZA_DIR)/include
    PLOTLIB= giza-fortran.F90 plotlib_giza.f90
    PGPLOTLIBS = -L$(GIZA_DIR)/lib -lgiza $(CAIRO_LIBS)
    CFLAGS= -fPIC -Wall -Wextra -O3 -g
@@ -67,7 +67,7 @@
 #
 HDF5LIBS    = -L$(HDF5ROOT)/lib -lhdf5
 HDF5INCLUDE = -I$(HDF5ROOT)/include
-H5PART_LIBS    = -L$(H5PART_DIR)/lib -lpH5Part
+H5PART_LIBS    = -L$(H5PART_DIR)/lib -lH5Part
 H5PART_INCLUDE = -I$(H5PART_DIR)/include
 #
 # this file contains system-dependent routines like getarg, iargc etc.
@@ -254,19 +254,19 @@
 ifeq ($(SYSTEM),ukaff1a)
 #  this is for ukaff1a
    FC= xlf90_r #-Wl,-t
-   FFLAGS= -O3 -qnoescape -qsuffix=f=f90 -qextname 
+   FFLAGS= -O3 -qnoescape -qsuffix=f=f90 -qextname
    OMPFLAGS= -qsmp=omp
    DEBUGFLAG= -C -g
    SYSTEMFILE= system_f2003.f90
    X11_LIBS= -L/usr/X11R6/lib -lX11
-   PGPLOTLIBS=   
-   STATICLIBS= /home/dprice/pgplot/libpgplot.a /home/dprice/plot/libg2cmodified.a 
+   PGPLOTLIBS=
+   STATICLIBS= /home/dprice/pgplot/libpgplot.a /home/dprice/plot/libg2cmodified.a
    KNOWN_SYSTEM=yes
 #   EXT=_temp
 endif
 
 ifeq ($(SYSTEM),ukaff1b)
-#  this is for the new nodes on ukaff 
+#  this is for the new nodes on ukaff
    FC= pathf95
    FFLAGS= -Ofast -mcmodel=medium
    DEBUGFLAG= -C -g
@@ -298,7 +298,7 @@
 endif
 
 ifeq ($(SYSTEM),mymac)
-#  these are the settings for a Mac G4 running Panther 
+#  these are the settings for a Mac G4 running Panther
 #  using g95 with pgplot installed via fink
    FC= g95
    FFLAGS= -O3 -ffast-math
@@ -361,7 +361,7 @@
       FC= g95
       EXT= _ppc
    endif
-   FFLAGS= -O3 -ffast-math -Wall -Wextra -Wno=165 
+   FFLAGS= -O3 -ffast-math -Wall -Wextra -Wno=165
    X11_LIBS= -L/usr/X11R6/lib -lX11
    PGPLOTLIBS= -lSystemStubs
    STATICLIBS= /AstroUsers/djp212/pgplot/libpgplot.a
@@ -405,3 +405,5 @@
 
 ifeq ($(SYSTEM),cody)
     FC= gfortran
+    FFLAGS= -O3 -Wall
+    SYSTEMFILE= system_f2003.f90
