=== debian/changelog ===
splash (2.8.0-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.1.3. Change URLs to https
  * Push Compat to 11
  * New upstream version 2.8.0. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 06 Apr 2018 15:58:17 +0200
