=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                gfortran,
                giza-dev,
                help2man,
@@ -11,9 +11,9 @@
                texlive-generic-recommended,
                texlive-latex-base,
                texlive-latex-recommended
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/splash.git
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/splash.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
+Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: http://users.monash.edu.au/~dprice/splash/
 
 Package: splash
