=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export SYSTEM=gfortran
 
 %:
-	dh $@
+	dh $@ --no-parallel
 
 override_dh_installdocs:
 	$(MAKE) docs
