=== debian/watch ===
version=3
http://users.monash.edu.au/~dprice/splash/releases/ splash-(.*)\.tar\.gz
